## org.eclipse.emf.compare.diff.metamodel.impl
Class ComparisonResourceSnapshotImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.compare.diff.metamodel.impl.ComparisonResourceSnapshotImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, ComparisonResourceSnapshot, ComparisonSnapshot, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class ComparisonResourceSnapshotImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements ComparisonResourceSnapshot

An implementation of the model object 'Comparison Snapshot'.

The following features are implemented:

- `Date`
- `Diff`
- `Match`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.util.Date` `date` The cached value of the '`Date`' attribute
`protected static java.util.Date` `DATE_EDEFAULT` The default value of the '`Date`' attribute
`protected DiffModel` `diff` The cached value of the '`Diff`' containment reference
`protected MatchModel` `match` The cached value of the '`Match`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ComparisonResourceSnapshotImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDiff(DiffModel newDiff, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetMatch(MatchModel newMatch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.util.Date` `getDate()`
`DiffModel` `getDiff()`
`MatchModel` `getMatch()`
`void` `setDate(java.util.Date newDate)`
`void` `setDiff(DiffModel newDiff)`
`void` `setMatch(MatchModel newMatch)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### DATE_EDEFAULT

    protected static final java.util.Date DATE_EDEFAULT

  The default value of the '`Date`' attribute.

  See Also:
    `getDate()`

### date

    protected java.util.Date date

  The cached value of the '`Date`' attribute.

  See Also:
    `getDate()`

### diff

    protected DiffModel diff

  The cached value of the '`Diff`' containment reference.

  See Also:
    `getDiff()`

### match

    protected MatchModel match

  The cached value of the '`Match`' containment reference.

  See Also:
    `getMatch()`

Constructor Detail

### ComparisonResourceSnapshotImpl

    protected ComparisonResourceSnapshotImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getDate

    public java.util.Date getDate()

  Specified by:
    `getDate` in interface `ComparisonSnapshot`
  Returns:
    the value of the 'Date' attribute.
  See Also:
    `ComparisonSnapshot.setDate(Date)`, `DiffPackage.getComparisonSnapshot_Date()`

### setDate

    public void setDate(java.util.Date newDate)

  Specified by:
    `setDate` in interface `ComparisonSnapshot`
  Parameters:
    `newDate` - the new value of the 'Date' attribute.
  See Also:
    `ComparisonSnapshot.getDate()`

### getDiff

    public DiffModel getDiff()

  Specified by:
    `getDiff` in interface `ComparisonResourceSnapshot`
  Returns:
    the value of the 'Diff' containment reference.
  See Also:
    `ComparisonResourceSnapshot.setDiff(DiffModel)`, `DiffPackage.getComparisonResourceSnapshot_Diff()`

### basicSetDiff

    public org.eclipse.emf.common.notify.NotificationChain basicSetDiff(DiffModel newDiff,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setDiff

    public void setDiff(DiffModel newDiff)

  Specified by:
    `setDiff` in interface `ComparisonResourceSnapshot`
  Parameters:
    `newDiff` - the new value of the 'Diff' containment reference.
  See Also:
    `ComparisonResourceSnapshot.getDiff()`

### getMatch

    public MatchModel getMatch()

  Specified by:
    `getMatch` in interface `ComparisonResourceSnapshot`
  Returns:
    the value of the 'Match' containment reference.
  See Also:
    `ComparisonResourceSnapshot.setMatch(MatchModel)`, `DiffPackage.getComparisonResourceSnapshot_Match()`

### basicSetMatch

    public org.eclipse.emf.common.notify.NotificationChain basicSetMatch(MatchModel newMatch,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setMatch

    public void setMatch(MatchModel newMatch)

  Specified by:
    `setMatch` in interface `ComparisonResourceSnapshot`
  Parameters:
    `newMatch` - the new value of the 'Match' containment reference.
  See Also:
    `ComparisonResourceSnapshot.getMatch()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Copyright 2006 IBM Corporation and others. All Rights Reserved.